var lastscrollvalue;
window.onscroll = function() {
    var scrollPosition = window.scrollY || document.documentElement.scrollTop;
    if (scrollPosition == 0) {
        console.log('Scroll on TOP!!');
        //TODO add getMessages(newLine);
        if (CHAT_UTIL.isIOS()) {
        } else if (CHAT_UTIL.isAndroid()) {
            //android.getMessages()
        }
    }
}

$('#roomNameChangeBtn').click(function() {
    //TODO validation
    var changeRoomName = $('#roomNameInput').val();
    if (CHAT_UTIL.isIOS()) {
        webkit.messageHandlers.changeRoomName.postMessage(changeRoomName);
    } else if (CHAT_UTIL.isAndroid()) {
        android.changeRoomName(changeRoomName);
    }
})

/*
$('#messages').scroll(function() {
    console.log('messagescroll');
    if ($(this).scrollTop() === 0) {
        if (!$('#chatLoader').is(':visible')) {
            // 現在、メッセージの個数以前をメッセージを読み込む
            // ローディングアイコンを追加する
            let loader = $('<div id="chatLoader" class="text-center"><div class="spinner-grow spinner-grow-sm" role="status" /></div>')
            $('#messages').prepend(loader)
            loader.remove();
//            socket.emit('getMessages', $(this).children().length, function() {
//                // ローディングアイコンを削除する
//                loader.remove();
//            });
        }
    }
});*/
